Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.analysis.integration
Interface UnivariateIntegrator

All Known Implementing Classes:
  BaseAbstractUnivariateIntegrator, IterativeLegendreGaussIntegrator, LegendreGaussIntegrator, RombergIntegrator, SimpsonIntegrator, TrapezoidIntegrator

    public interface UnivariateIntegrator

Interface for univariate real integration algorithms.

Since:
  1.2
Version:
  $Id: UnivariateIntegrator.java 1364387 2012-07-22 18:14:11Z tn $

Method Summary
`double` | `getAbsoluteAccuracy()` Get the actual absolute accuracy.
`int` | `getEvaluations()` Get the number of function evaluations of the last run of the integrator.
`int` | `getIterations()` Get the number of iterations of the last run of the integrator.
`int` | `getMaximalIterationCount()` Get the upper limit for the number of iterations.
`int` | `getMinimalIterationCount()` Get the min limit for the number of iterations.
`double` | `getRelativeAccuracy()` Get the actual relative accuracy.
`double` | `integrate(int maxEval, UnivariateFunction f, double min, double max)` Integrate the function in the given interval.

Method Detail

### getRelativeAccuracy

    double getRelativeAccuracy()

  Get the actual relative accuracy.

  Returns:
    the accuracy

### getAbsoluteAccuracy

    double getAbsoluteAccuracy()

  Get the actual absolute accuracy.

  Returns:
    the accuracy

### getMinimalIterationCount

    int getMinimalIterationCount()

  Get the min limit for the number of iterations.

  Returns:
    the actual min limit

### getMaximalIterationCount

    int getMaximalIterationCount()

  Get the upper limit for the number of iterations.

  Returns:
    the actual upper limit

### integrate

    double integrate(int maxEval,
                     UnivariateFunction f,
                     double min,
                     double max)
                     throws TooManyEvaluationsException,
                            MaxCountExceededException,
                            MathIllegalArgumentException,
                            NullArgumentException

  Integrate the function in the given interval.

  Parameters:
    `maxEval` - Maximum number of evaluations.
    `f` - the integrand function
    `min` - the min bound for the interval
    `max` - the upper bound for the interval
  Returns:
    the value of integral
  Throws:
    `TooManyEvaluationsException` - if the maximum number of function evaluations is exceeded.
    `MaxCountExceededException` - if the maximum iteration count is exceeded or the integrator detects convergence problems otherwise
    `MathIllegalArgumentException` - if min > max or the endpoints do not satisfy the requirements specified by the integrator
    `NullArgumentException` - if `f` is `null`.

### getEvaluations

    int getEvaluations()

  Get the number of function evaluations of the last run of the integrator.

  Returns:
    number of function evaluations

### getIterations

    int getIterations()

  Get the number of iterations of the last run of the integrator.

  Returns:
    number of iterations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.